[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCanvas.AutoRedraw

AutoRedraw - if True, the Canvas is to be redrawn automatically after each change or update.

## Declaration

Source position: graphics.pp line 1174

`published property TCanvas.AutoRedraw : Boolean read FAutoRedraw write SetAutoRedraw;`

## Description

AutoRedraw is a Boolean property which indicates if the window for the canvas is automatically redrawn when updated. When set to True, the DCRedraw method in the widgetset class is called to enable the feature for the Handle in the canvas.

The default value for the property is False.

## See also

TCanvas.Handle |  | Handle (or device context) for the drawing surface.
TCanvas.RealizeAutoRedraw |  | Implements the AutoRedraw feature when enabled.